#ifndef CAMERANODE_H
#define CAMERANODE_H

#include "scenenode.h"
#include "trackballcamera.h"
#include "input.h"

/**
 * @brief The CameraNode class is a scene node that can be used by the renderer
 */
class CameraNode : public TrackBallCamera, public SceneNode
{
    Input *m_input;
    int m_action_move;
    int m_action_rotate;

public:
    CameraNode(Input *input);

    void setInputs(int action_move, int action_rotate)
    {
        m_action_move = action_move;
        m_action_rotate = action_rotate;
    }

    virtual void update();
};

#endif // CAMERANODE_H
