#ifndef GRAPHICALNODE_H
#define GRAPHICALNODE_H

#include "scenenode.h"
#include "glm/mat4x4.hpp"

class SceneTree;

class GraphicalNode : public SceneNode
{
private:
    glm::mat4 m_transform;
protected:
    bool m_visible;
public:
    GraphicalNode();

    void toggleVisibility();
    void setSceneTree(SceneTree* tree);

    void setTransform(const glm::mat4 &transform) { m_transform = transform; }
    const glm::mat4& getTransform() { return m_transform; }
};

#endif // GRAPHICALNODE_H
