#ifndef SHELLBUFFER_H
#define SHELLBUFFER_H

#include "scene/containernode.h"

class TextNode;

class ShellBuffer : public ContainerNode {
private:
    int m_zero_offset = 0;
    unsigned int m_max_size;
    float m_font_size;
public:
    ShellBuffer(int buffer_size):m_max_size(buffer_size){}
    SceneNode* operator[](int i){return m_children[(m_zero_offset+i)%m_max_size];}
    void push(TextNode*);
    unsigned int size(){return m_children.size();}
    void toggleBuffer();

    // if this font_size is scaling down, sizes which are power of 2 render better.
    void setFontSize(float font_size){m_font_size = font_size;}
    float getFontSize(){return m_font_size;}
};

#endif // SHELLBUFFER_H
